Subject: bug#71373: closed (Re: bug#71373: 30.0.50; Commands like `gnus-summary-reply` should list in `M-x` of `gnus-article-mode`)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 02:12:02 +0000

Your bug report

#71373: 30.0.50; Commands like `gnus-summary-reply` should list in `M-x` of `gnus-article-mode`

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71373: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71373
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71373: 30.0.50; Commands like `gnus-summary-reply` should list in `M-x` of `gnus-article-mode`
From: Stefan Kangas <[email-masked]>
To: lorniu <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Feb 2025 18:11:15 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

lorniu <[email-masked]> writes:

> When using GNUS, in article mode, I can use key `r` or `f` to execute
> command `gnus-summary-replay` and others to compose or reply message,
> but I can't execute them with `M-x`, they are not shown there.
>
> I notice that there are command predicates in the definitions, for example:
>
>   (defun gnus-summary-post-news (&optional arg)
>     (interactive "P" gnus-summary-mode)
>     ...
>
> I think there is mistake, it should be:
>
>   (defun gnus-summary-post-news (&optional arg)
>     (interactive "P" gnus-summary-mode gnus-article-mode)
>     ...
>
> Thanks.

Fixed on master.  I'm therefore closing this bug report.

Subject: 30.0.50; Commands like `gnus-summary-reply` should list in `M-x` of `gnus-article-mode`
From: lorniu <[email-masked]>
To: [email-masked]
Date: Wed, 05 Jun 2024 10:08:43 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When using GNUS, in article mode, I can use key `r` or `f` to execute
command `gnus-summary-replay` and others to compose or reply message,
but I can't execute them with `M-x`, they are not shown there.

I notice that there are command predicates in the definitions, for example:

  (defun gnus-summary-post-news (&optional arg)
    (interactive "P" gnus-summary-mode)
    ...

I think there is mistake, it should be:

  (defun gnus-summary-post-news (&optional arg)
    (interactive "P" gnus-summary-mode gnus-article-mode)
    ...

Thanks.